Bug 457482 - SATA DVD Drive locks up when inserting a DVD under F9
SATA DVD Drive locks up when inserting a DVD under F9
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 17:10 EDT by Chris Stankaitis
Modified: 2013-03-05 22:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 12:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg before inserting a disk (40.96 KB, text/plain)
2008-07-31 17:10 EDT, Chris Stankaitis
no flags Details
lsmod (2.99 KB, text/plain)
2008-07-31 17:10 EDT, Chris Stankaitis
no flags Details
lsscsi (310 bytes, text/plain)
2008-07-31 17:11 EDT, Chris Stankaitis
no flags Details

  None (edit)
Description Chris Stankaitis 2008-07-31 17:10:02 EDT
Description of problem:

The SATA Drive worked fine for the install, and I have swapped it to a Windows
box and it can play and burn disks fine.  Under Linux however in either init3 or
init5 the drive will freeze and lock up shortly after inserting a disks.  It
requires a powercycle to eject the disk.

When I insert a disk "Places" in X will show that a disk is there and will even
show the disk name, about 10 seconds later it will kack and say there is no
media in the drive.

when I put in a disk I get the following in dmesg:

end_request: I/O error, dev sr0, sector 16485208
Buffer I/O error on device sr0, logical block 2060651
end_request: I/O error, dev sr0, sector 16485208
Buffer I/O error on device sr0, logical block 2060651
ata5.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata5.00: cmd a0/00:00:00:02:00/00:00:00:00:00/a0 tag 0 pio 16386 in
         cdb 51 00 00 00 00 00 00 00  02 00 00 00 00 00 00 00
         res 40/00:03:00:00:10/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata5.00: status: { DRDY }
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata5.00: qc timeout (cmd 0xa1)
ata5.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata5.00: revalidation failed (errno=-5)
ata5: failed to recover some devices, retrying in 5 secs
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata5.00: qc timeout (cmd 0xa1)
ata5.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata5.00: revalidation failed (errno=-5)
ata5: failed to recover some devices, retrying in 5 secs
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata5.00: qc timeout (cmd 0xa1)
ata5.00: failed to IDENTIFY (I/O error, err_mask=0x4)
ata5.00: revalidation failed (errno=-5)
ata5.00: disabled
ata5: hard resetting link
ata5: failed to reset engine (errno=-5)
ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata5: EH complete

on screen Gnome pop's up a box that says:

"Cannot mount volume - mount: block device /dev/sr0 is write protected, mounting
read-only mount: no medium found


Please advise.. running F9 - kernel-2.6.25.11-97.fc9.x86_64
Comment 1 Chris Stankaitis 2008-07-31 17:10:02 EDT
Created attachment 313133 [details]
dmesg before inserting a disk
Comment 2 Chris Stankaitis 2008-07-31 17:10:31 EDT
Created attachment 313134 [details]
lsmod
Comment 3 Chris Stankaitis 2008-07-31 17:11:05 EDT
Created attachment 313135 [details]
lsscsi
Comment 4 Scott Glaser 2009-04-10 18:57:54 EDT
Chris,
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
either case, can you let us know whether the issue is still happening, and give
the current version of the HAL packages you're using?


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-06-09 22:20:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Stankaitis 2009-06-17 09:52:51 EDT
(In reply to comment #4)
> Chris,
> Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
> either case, can you let us know whether the issue is still happening, and give
> the current version of the HAL packages you're using?
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  


Whatever this issue was fixed itself in Fedora 10.   I have not tried Fedora 11 yet.  but I can say that 10 resolved this issue.
Comment 7 Scott Glaser 2009-06-17 12:56:45 EDT
Chris,

Thank you for your response, I will be closing this bug.  Should you experience these issues again please file a new bug against this component.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers  

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.